Loading...
Searching...
No Matches
detail::any_way_handlers Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::any_way_handlers:
[legend]
Collaboration diagram for detail::any_way_handlers:
[legend]

## Additional Inherited Members

Static Public Member Functions inherited from detail::object_handler
template<typename TDummy>
static void | set_value (osmium::OSMObject &, const TDummy &) noexcept
static void | set_value (osmium::OSMObject &object, attr::_id id) noexcept
static void | set_value (osmium::OSMObject &object, attr::_version version) noexcept
static void | set_value (osmium::OSMObject &object, attr::_visible visible) noexcept
static void | set_value (osmium::OSMObject &object, attr::_deleted deleted) noexcept
static void | set_value (osmium::OSMObject &object, attr::_timestamp timestamp) noexcept
static void | set_value (osmium::OSMObject &object, attr::_cid changeset) noexcept
static void | set_value (osmium::OSMObject &object, attr::_uid uid) noexcept
Static Public Member Functions inherited from detail::tags_handler
template<typename TDummy>
static void | set_value (TagListBuilder &, const TDummy &) noexcept
static void | set_value (TagListBuilder &builder, const attr::_tag &tag)
template<typename TIterator>
static void | set_value (TagListBuilder &builder, const attr::detail::tags_from_iterator_pair< TIterator > &tags)
static void | set_value (TagListBuilder &builder, const attr::_t &tags)
Static Public Member Functions inherited from detail::nodes_handler
template<typename TDummy>
static void | set_value (WayNodeListBuilder &, const TDummy &) noexcept
static void | set_value (WayNodeListBuilder &builder, const attr::_node &node_ref)
template<typename TIterator>
static void | set_value (WayNodeListBuilder &builder, const attr::detail::nodes_from_iterator_pair< TIterator > &nodes)

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp